On Jun 20, 2014, at 10:10 PM, HawkOwl <hawkowl@atleastfornow.net> wrote:
On 21 Jun 2014, at 8:43, Glyph <glyph@twistedmatrix.com> wrote:
On Jun 20, 2014, at 2:40 AM, HawkOwl <hawkowl@atleastfornow.net> wrote:

The web server version string says Twisted 11.1 maybe we should upgrade that too? :)

Sounds like somebody should send a PR to Braid? :-)

I was going to do that, but I do not understand where it is in braid :(

(Note: On this mailing list, please don't top-post, we prefer a trimmed and interleaved reply; it's easier to follow discussions if you show up in the middle.)
 
It looks like the relevant place is in braid.twisted.service.Service.bootstrap... although really, we ought to be using virtualenvs for this stuff, so I don't know how deep you want to go into refactoring :-).

Or perhaps you could just make <https://github.com/twisted-infra/braid/blob/master/braid/pip.py> always do a pip install --upgrade, if we're always going for a recent version, or add support for pinning versions of things.

-glyph